%define buildpath %(echo %{name} | sed 's/perl-//')

Name:  	        perl-Module-Install-GithubMeta 
Version:        0.30
Release:        12
License:        GPL+ or Artistic 
Summary:        A Module::Install extension to include GitHub meta information in META.yml
Url:            https://metacpan.org/release/Module-Install-GithubMeta
Source:         https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Module-Install-GithubMeta-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:  perl-generators perl(base) perl(Config) perl(Cwd) perl(Fcntl)
BuildRequires:  perl(ExtUtils::Manifest) perl(File::Path) perl(File::Find)
BuildRequires:  perl(File::Spec) perl(Module::Build) perl(strict) perl(Test::Pod)
BuildRequires:  perl(vars) perl(warnings)
BuildRequires:  perl(Capture::Tiny) >= 0.05
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Module::Install) >= 0.85
BuildRequires:  perl(Test::More) >= 0.47

Requires:       perl(Module::Install) >= 0.85
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
Module::Install::GithubMeta is a Module::Install extension to include
GitHub <http://github.com> meta information in "META.yml".

It automatically detects if the distribution directory is under "git"
version control and whether the "origin" is a GitHub repository and will
set the "repository" and "homepage" meta in "META.yml" to the
appropriate URLs for GitHub.

%package	help
Summary:	help package of %{name} that include files

%description	help
document files for %{name}

%prep
%autosetup -n %{buildpath}-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/*

%files help
%doc README
%{_mandir}/man3/*.3*

%changelog
* Tue Jan 7 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.30-12
- Package init

